Bug 433643 - Review Request: perl-Math-Symbolic - Symbolic calculations
Review Request: perl-Math-Symbolic - Symbolic calculations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 11:17 EST by Patrice Dumas
Modified: 2008-03-13 03:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 18:58:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-02-20 11:17:35 EST
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Math-Symbolic.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Math-Symbolic-0.510-1.fc9.src.rpm
Description: 
Math::Symbolic is intended to offer symbolic calculation capabilities to
the Perl programmer without using external (and commercial) libraries
and/or applications.
Comment 1 Parag AN(पराग) 2008-02-21 01:34:39 EST
Review:
+ package builds in mock (development i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=453228
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
87cb7c3e76227238a583c313226dd53e  Math-Symbolic-0.510.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=25, Tests=512, 17 wallclock secs (15.51 cusr +  0.41 csys = 15.92 CPU)
+ Package perl-Math-Symbolic-0.510-1.fc9 =>
   Provides: perl(Math::Symbolic) = 0.510 perl(Math::Symbolic::AuxFunctions) =
0.510 perl(Math::Symbolic::Base) = 0.510 perl(Math::Symbolic::Compiler) = 0.510
perl(Math::Symbolic::Constant) = 0.510 perl(Math::Symbolic::Custom) = 0.510
perl(Math::Symbolic::Custom::Base) = 0.510
perl(Math::Symbolic::Custom::DefaultDumpers) = 0.510
perl(Math::Symbolic::Custom::DefaultMods) = 0.510
perl(Math::Symbolic::Custom::DefaultTests) = 0.510
perl(Math::Symbolic::Derivative) = 0.510 perl(Math::Symbolic::ExportConstants) =
0.510 perl(Math::Symbolic::MiscAlgebra) = 0.510
perl(Math::Symbolic::MiscCalculus) = 0.510 perl(Math::Symbolic::Operator) =
0.510 perl(Math::Symbolic::Parser) = 0.510
perl(Math::Symbolic::Parser::Precompiled) = 0.510
perl(Math::Symbolic::Parser::Yapp) perl(Math::Symbolic::Parser::Yapp::Driver) =
1.05 perl(Math::Symbolic::Variable) = 0.510 perl(Math::Symbolic::VectorCalculus)
= 0.510 perl(Parse::RecDescent::Math::Symbolic::Parser::Precompiled)

Requires: perl >= 0:5.004 perl >= 0:5.006 perl(Carp) perl(Data::Dumper)
perl(Exporter) perl(Math::Symbolic) perl(Math::Symbolic::AuxFunctions)
perl(Math::Symbolic::Base) perl(Math::Symbolic::Compiler)
perl(Math::Symbolic::Constant) perl(Math::Symbolic::Custom)
perl(Math::Symbolic::Custom::Base) perl(Math::Symbolic::Custom::DefaultDumpers)
perl(Math::Symbolic::Custom::DefaultMods)
perl(Math::Symbolic::Custom::DefaultTests) perl(Math::Symbolic::Derivative)
perl(Math::Symbolic::ExportConstants) perl(Math::Symbolic::MiscAlgebra)
perl(Math::Symbolic::Operator) perl(Math::Symbolic::Parser)
perl(Math::Symbolic::Variable) perl(Memoize) perl(Parse::RecDescent) perl(base)
perl(constant) perl(strict) perl(vars) perl(warnings)


* Not sure why build did not asked for perl-Sub-Exporter package. From README,
it looked like this build should have BR:perl-Sub-Exporter.
APPROVED.
Comment 2 Patrice Dumas 2008-02-21 14:16:24 EST
I don't see the Sub::Exporter reference in the README, maybe it is 
only on the web?

New Package CVS Request
=======================
Package Name: perl-Math-Symbolic
Short Description: Symbolic calculations
Owners: pertusus
Branches: F-7 F-8 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-02-21 16:29:14 EST
cvs done.
Comment 4 Patrice Dumas 2008-02-22 18:58:39 EST
Imported and built, thanks!
Comment 5 Fedora Update System 2008-02-25 18:00:25 EST
perl-Math-Symbolic-0.510-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-02-25 18:03:42 EST
perl-Math-Symbolic-0.510-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-13 03:43:41 EDT
perl-Math-Symbolic-0.510-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-13 03:48:21 EDT
perl-Math-Symbolic-0.510-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.